package org.xyzh.common.dto.dept;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysDeptRole.java文件描述 部门角色关联信息
 * @filename    TbSysDeptRole.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-16
 */
public class TbSysDeptRole extends BaseDTO {
    private static final long serialVersionUID = 1L;

    /**
     * @description    部门ID
     * @author    yslg
     * @since 2024-06
     */
    private String deptID;

    /**
     * @description    角色ID
     * @author    yslg
     * @since 2024-06
     */
    private String roleID;

    /**
     * @description    创建人
     * @author    yslg
     * @since 2025-09-16
     */
    public String creator;

    /**
     * @description    更新人
     * @author    yslg
     * @since 2025-09-16
     */
    public String updater;

    public TbSysDeptRole() {
        super();
    }

    public String getDeptID() {
        return deptID;
    }



    public void setDeptID(String deptID) {
        this.deptID = deptID;
    }



    public String getRoleID() {
        return roleID;
    }



    public void setRoleID(String roleID) {
        this.roleID = roleID;
    }



    public String getCreator() {
        return creator;
    }



    public void setCreator(String creator) {
        this.creator = creator;
    }



    public String getUpdater() {
        return updater;
    }



    public void setUpdater(String updater) {
        this.updater = updater;
    }



    @Override
    public String toString() {
        return "TbSysDeptRole{" +
                "id='" + getID() + '\'' +
                ", deptID='" + deptID + '\'' +
                ", roleID='" + roleID + '\'' +
                ", creator='" + creator + '\'' +
                ", updater='" + updater + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
    
}
